<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    
<title>Moodle Docs: Future</title>
    
<link rel="stylesheet" href="docstyles.css" type="TEXT/CSS" />
    
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>

<body>

<h1>Future</h1>
<blockquote>
  <p>As Moodle gains in maturity, its directions are increasingly influenced by 
  the community of developers and users. A dynamic database of proposed features 
  and their status can be found at <a target="_top" href="http://moodle.org/bugs/">moodle.org/bugs</a>. 
  Your <a href="?file=credits.html">contributions</a> in the form of ideas, code, 
  feedback and promotion are all very welcome - see the <a href="?file=developer.html">Developers 
  manual</a> and the <a href="http://moodle.org/help" target="_top">community forums</a> for more details. You can also pay to have certain features developed sooner- see <a href="http://moodle.com/development/" target="_top">moodle.com/development</a> for information and a quote. </p>

  <p>Here is the current roadmap of the future, though this is always subject to change depending on <a href="http://moodle.org/donations/" target="_blank">sponsors</a> and <a href="?file=credits.html">developers</a>. </p>

  <h3>Version 1.6</h3>
   <blockquote>
    <p>Blogs as the main tool for reflective activities (providing user, course and site feeds).</p>
    <p>Database module, a general purpose tool for collaborative data entry, searching and browsing</p>
    <p>Integration with LAMS as an activity or course format</p>
    <p>Some better statistics</p>
    <p>Incoming email handling</p>
    <p>Basic Web Services API</p>
  </blockquote>

  <h3>Version 1.7</h3>
   <blockquote>
    <p>My Moodle page providing a customisable overview of all courses, plus RSS feeds and so on.</p>
    <p>Improved User Profile page, integrating Blogs, feeds etc in a semi-public home page</p>
    <p>Preliminary support for IMS LD Level A, allowing import and export</p>
    <p>Full support for SCORM 2004</p>
    <p>Improved Web Services API</p>
    <p>Integration with some repositories</p>
  </blockquote>

  <h3>Version 2.0</h3>
  <blockquote>
    <p>Conditional activities, allowing dependencies and forced paths</p>
    <p>Complete support for IMS LD standard</p>
    <p>Improved Groups, allowing groups to be defined at site and activity level</p>
    <p>Improved Roles implementation, allowing custom roles at site, course and activity level</p>
    <p>Many of the main pages customisable using HTML templates. </p>
    <p>Some exciting developments in making Moodle more network-aware, 
       with a natural evolution of Moodle's focus on collaboration. More on this here later. </p>
  </blockquote>

</blockquote>

<p align="center">&nbsp;</p>
<p align="center"><font size="1"><a href="." target="_top">Moodle Documentation</a></font></p>
<p align="center"><font size="1">Version: $Id$</font></p>
</body>
